Subject: Re: [PowerPC] Next May 8 boot failure: OOPS during ibmveth moduleinit

From: Sachin Sant <[email-masked]>
Date: Mon, 11 May 2009 22:37:09 +0530

Jiri Pirko wrote:
> Fri, May 08, 2009 at 09:57:22PM CEST, [email-masked] wrote:
>   
>> From: Sachin Sant <[email-masked]>
>> Date: Fri, 08 May 2009 18:22:48 +0530
>>
>>     
>>> Todays Next failed to boot on a Power6 JS22 blade with following oops.
>>>       
>> Jiri, I suspect this might be your address list changes.
>>
>> Although that's just a guess.  But please take a look.
>>     
>
> Hmm, only thing I see might cause the problem would be if calling __hw_addr_add
> in dev_addr_init fails, then dev->dev_addr would contain zeroes (which looks
> this is not the case). But in this case the oops would appear earlier (in
> ibmveth_probe dev_addr memcpy).
>
> Will do the patch which checks the result to behave correctly in case of oom
> but this imho this wouldn't help. Strange, I will dig into this more tomorrow.
>   
I can recreate this problem with today's Next release as well. Let me 
know if you want me to try
out any thing to debug this problem.

Thanks
-Sachin

-- 

---------------------------------
Sachin Sant
IBM Linux Technology Center
India Systems and Technology Labs
Bangalore, India
---------------------------------